Skip to main content

createOrUpdateSaltSecurityIntegration

Create or update Salt Security integration

createOrUpdateSaltSecurityIntegration(
input: CreateOrUpdateSaltSecurityIntegrationInput!
): CreateOrUpdateSaltSecurityIntegrationPayload

Arguments​

createOrUpdateSaltSecurityIntegration.input ● CreateOrUpdateSaltSecurityIntegrationInput! non-null input​

Parameters for CreateOrUpdateSaltSecurityIntegration

Type​

CreateOrUpdateSaltSecurityIntegrationPayload object​

Autogenerated return type of CreateOrUpdateSaltSecurityIntegration.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateOrUpdateSaltSecurityIntegration($input: CreateOrUpdateSaltSecurityIntegrationInput!) {\n createOrUpdateSaltSecurityIntegration(input: $input) { clientMutationId integration { id name assetsCount } writePermissionWarning }\n}","variables":{"input":{"companyId":1}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute